Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/browseEntities.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/browseEntities.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/browseEntities.component.ts	(revision 49174)
@@ -14,10 +14,12 @@
     selector: 'browse-entities',
     template: `
 <div>
-  <div *ngIf="status == errorCodes.LOADING" class="uk-animation-fade uk-margin-large-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
+  <!--div *ngIf="status == errorCodes.LOADING" class="uk-animation-fade uk-margin-large-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
   <div *ngIf="status == errorCodes.NONE" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">No Results found</div>
   <div *ngIf="status == errorCodes.ERROR" class="uk-alert uk-alert-warning uk-animation-fade" role="alert">An Error Occured</div>
-  <div *ngIf="status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service not available</div>
+  <div *ngIf="status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger" role="alert">Service temprorarily unavailable. Please try again later.</div>
+  <div *ngIf="status == errorCodes.NOT_FOUND" class="uk-alert uk-alert-danger" role="alert">No filters found</div-->
+  <errorMessages [status]="[status]" [type]="'results'"></errorMessages>
 
   <div class ="uk-grid">
     <div *ngFor= "let filter of filters" class = "uk-margin-bottom uk-width-1-4@l uk-width-1-3@m  uk-width-1-2@s">
@@ -81,7 +83,14 @@
           // if( ){
           //   this.searchUtils.status = ErrorCodes.ERROR;
           // }
-          this.status = this.errorCodes.ERROR;
+          //this.status = this.errorCodes.ERROR;
+          if(err.status == '404') {
+            this.status = this.errorCodes.NOT_FOUND;
+          } else if(err.status == '500') {
+            this.status = this.errorCodes.ERROR;
+          } else {
+            this.status = this.errorCodes.NOT_AVAILABLE;
+          }
       }
   );
 }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPaging.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPaging.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPaging.component.ts	(revision 49174)
@@ -1,16 +1,23 @@
 import {Component, Input, Output, EventEmitter} from '@angular/core';
 import {Observable}       from 'rxjs/Observable';
+import {ErrorCodes} from '../../utils/properties/openaireProperties';
 
 @Component({
     selector: 'search-paging',
     template: `
-    <div class= "searchPaging uk-panel uk-margin-top uk-grid">
-      <div class="uk-h6 uk-margin-remove uk-width-1-1@s uk-width-1-2@m" *ngIf="results  && searchUtils.totalResults > 0">
-      {{searchUtils.totalResults}} {{type}}, page {{searchUtils.page}} of {{(totalPages())}}
+    <div class= "searchPaging uk-panel uk-margin-top uk-grid uk-margin-bottom uk-padding uk-padding-remove-vertical uk-padding-remove-left">
+      <div class="uk-h6 uk-width-1-1@s uk-width-1-2@m" *ngIf="results && searchUtils.totalResults > 0">
+        {{searchUtils.totalResults}} {{type}}, page {{searchUtils.page}} of {{(totalPages(searchUtils.totalResults))}}
       </div>
-      <div class="uk-width-1-1@s uk-width-1-2@m  " *ngIf="results  && searchUtils.totalResults > searchUtils.size">
-            <paging [currentPage]="searchUtils.page" [totalResults]="searchUtils.totalResults"  [baseUrl]="baseUrl" [size]="searchUtils.size"  [parameterNames] = "parameterNames" [parameterValues] = "parameterValues" > </paging>
+      <div class="uk-h6 uk-width-1-1@s uk-width-1-2@m" *ngIf="!loadPaging && oldTotalResults > 0 && searchUtils.status == errorCodes.LOADING">
+        {{oldTotalResults}} {{type}}, page {{searchUtils.page}} of {{(totalPages(oldTotalResults))}}
       </div>
+      <div class="uk-width-1-1@s uk-width-1-2@m" *ngIf="results && searchUtils.totalResults > searchUtils.size">
+        <paging class="uk-float-right" [currentPage]="searchUtils.page" [totalResults]="searchUtils.totalResults"  [baseUrl]="baseUrl" [size]="searchUtils.size"  [parameterNames] = "parameterNames" [parameterValues] = "parameterValues" > </paging>
+      </div>
+      <div class="uk-width-1-1@s uk-width-1-2@m" *ngIf="!loadPaging && oldTotalResults > searchUtils.size && searchUtils.status == errorCodes.LOADING">
+        <paging class="uk-float-right" [currentPage]="searchUtils.page" [totalResults]="oldTotalResults"  [baseUrl]="baseUrl" [size]="searchUtils.size"  [parameterNames] = "parameterNames" [parameterValues] = "parameterValues" > </paging>
+      </div>
     </div>
     `
 })
@@ -23,16 +30,24 @@
     @Input() parameterNames:string[];
     @Input() parameterValues:string[];
 
+    @Input() loadPaging: boolean = true;
+    @Input() oldTotalResults: number = 0;
+
+    public totalResults: number = 0;
+    public errorCodes:ErrorCodes = new ErrorCodes();
+
     // @Input() totalResults:number = 0;
-    constructor () {
-     }
+    constructor () {}
 
     ngOnInit() {
-
+      // this.totalResults = this.searchUtils.totalResults;
+      // if(!this.loadPaging && this.totalResults == 0) {
+      //   this.totalResults = this.oldTotalResults;
+      // }
     }
 
-    totalPages(): number {
-        let totalPages:any = this.searchUtils.totalResults/(this.searchUtils.size);
+    totalPages(totalResults: number): number {
+        let totalPages:any = totalResults/(this.searchUtils.size);
         if(!(Number.isInteger(totalPages))) {
             totalPages = (parseInt(totalPages, 10) + 1);
         }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchDownload.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchDownload.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchDownload.component.ts	(revision 49174)
@@ -9,7 +9,7 @@
 @Component({
     selector: 'search-download',
     template: `
-        <span class="uk-margin-large-right" *ngIf="totalResults <= 10000">
+        <span class="uk-margin-large-right" *ngIf="totalResults > 0 && totalResults <= 10000">
             <span class="clickable" (click)="downloadfile(downloadURLAPI+type+'?format=csv&page=0&size='+totalResults+csvParams,type+'-report-'+totalResults)">
                 <span aria-hidden="true" class="glyphicon glyphicon-download"></span>
                 <span  class="uk-icon"><svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg" icon="download" ratio="1"><polyline fill="none" stroke="#000" points="14,10 9.5,14.5 5,10"></polyline><rect x="3" y="17" width="13" height="1"></rect><line fill="none" stroke="#000" x1="9.5" y1="13.91" x2="9.5" y2="3"></line></svg></span> (CSV)
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPage.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPage.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPage.component.ts	(revision 49174)
@@ -40,6 +40,8 @@
   @Input() advancedSearchLink: string = "";
   @Input() tableViewLink: string;
   @Input() disableForms: boolean = false;
+  @Input() loadPaging: boolean = true;
+  @Input() oldTotalResults: number = 0;
   @Input() tableView: boolean = false;
   @Input() searchFormClass: string = "searchForm";
   @ViewChild (ModalLoading) loading : ModalLoading ;
@@ -118,12 +120,15 @@
   public getQueryParametersFromUrl(params){
     // var parameters = "";
     var allFqs = "";
+
     this.queryParameters = new Map<string,string>();
+    
     for(var i=0; i< this.refineFields.length ; i++){
          var filterId =  this.refineFields[i];
 
           if(params[filterId] != undefined) {
              this.queryParameters[filterId]=StringUtils.URIDecode(params[filterId]);
+
              let values = (StringUtils.URIDecode(this.queryParameters[filterId])).split(/,(?=(?:[^\"]*\"[^\"]*\")*[^\"]*$)/,-1);
              var countvalues = 0;
              var fq = "";
@@ -138,8 +143,6 @@
              }
              allFqs += fq;
           }
-
-
    }
    var keyword = params['keyword'];
    var doiQuery = "";
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchResults.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchResults.module.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchResults.module.ts	(revision 49174)
@@ -1,15 +1,17 @@
-import { NgModule}            from '@angular/core';
-import { CommonModule }        from '@angular/common';
-import { FormsModule }         from '@angular/forms';
+import { NgModule}              from '@angular/core';
+import { CommonModule }         from '@angular/common';
+import { FormsModule }          from '@angular/forms';
+import { RouterModule }         from '@angular/router';
 
-import {SearchResult}     from '../../utils/entities/searchResult';
-import {SearchResultComponent} from './searchResult.component';
-import { RouterModule } from '@angular/router';
+import {ErrorMessagesModule}    from '../../utils/errorMessages.module';
 
+import {SearchResult}           from '../../utils/entities/searchResult';
+import {SearchResultComponent}  from './searchResult.component';
+
 @NgModule({
   imports: [
     CommonModule, FormsModule,
-    RouterModule
+    RouterModule, ErrorMessagesModule
    ],
   declarations: [
     SearchResultComponent,
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPageTableView.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPageTableView.module.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPageTableView.module.ts	(revision 49174)
@@ -23,11 +23,13 @@
 import {PreviousRouteRecorder} from '../../utils/piwik/previousRouteRecorder.guard';
 
 import {HelperModule} from '../../utils/helper/helper.module';
+import {ErrorMessagesModule} from '../../utils/errorMessages.module';
 
 @NgModule({
   imports: [
     CommonModule, FormsModule,RouterModule,  SearchFormModule, SearchResultsModule,  LoadingModalModule,
-    ReportsServiceModule, SearchPagingModule, SearchDownloadModule, ModalModule, PagingModule, DataTableModule, SearchFilterModule, PiwikServiceModule, HelperModule
+    ReportsServiceModule, SearchPagingModule, SearchDownloadModule, ModalModule, PagingModule,
+    DataTableModule, SearchFilterModule, PiwikServiceModule, HelperModule, ErrorMessagesModule
   ],
   declarations: [
     SearchPageTableViewComponent//,
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/advancedSearchPage.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/advancedSearchPage.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/advancedSearchPage.component.ts	(revision 49174)
@@ -14,7 +14,7 @@
 
 @Component({
     selector: 'advanced-search-page',
-    templateUrl: 'advancedSearchPage.component.html' 
+    templateUrl: 'advancedSearchPage.component.html'
 })
 export class AdvancedSearchPageComponent {
   @Input() pageTitle = "";
@@ -31,6 +31,9 @@
   @Input() csvPath: string;
   @Input() simpleSearchLink: string = "";
   @Input() disableForms:boolean = false;
+  @Input() loadPaging: boolean = true;
+  @Input() oldTotalResults: number = 0;
+
   piwiksub: any;
   public parameterNames:string[] =[];
   public parameterValues:string[] =[];
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/dataProviders/journals.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/dataProviders/journals.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/dataProviders/journals.component.ts	(revision 49174)
@@ -29,6 +29,8 @@
 
 })
 export class SearchJournalsComponent {
+  private errorCodes: ErrorCodes;
+
   public results =[];
   public filters =[];
   public baseUrl:string;
@@ -54,8 +56,8 @@
   @ViewChild (SearchPageComponent) searchPage : SearchPageComponent ;
 
   constructor (private route: ActivatedRoute, private _searchDataprovidersService: SearchDataprovidersService ) {
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
+    this.errorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
     this.baseUrl = OpenaireProperties.getLinkToSearchJournals();
     for(var i = 0; i < this._prefixQueryFields.length; i++ ){
       for(var j =0; j < this._prefixQueryFields[i].values.length; j++){
@@ -90,8 +92,8 @@
     private _getResults(parameters:string,refine:boolean, page: number, size: number){
         this.csvParams = parameters+this.resourcesQuery+"&type=datasources";
 
-      var errorCodes:ErrorCodes = new ErrorCodes();
-      this.searchUtils.status = errorCodes.LOADING;
+      //var errorCodes:ErrorCodes = new ErrorCodes();
+      this.searchUtils.status = this.errorCodes.LOADING;
       //this.searchPage.openLoading();
       this.disableForms = true;
       this.results = [];
@@ -104,10 +106,10 @@
               this.results = data[1];
               this.searchPage.checkSelectedFilters(this.filters);
               this.searchPage.updateBaseUrlWithParameters(this.filters);
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.DONE;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              this.searchUtils.status = this.errorCodes.DONE;
               if(this.searchUtils.totalResults == 0 ){
-                this.searchUtils.status = errorCodes.NONE;
+                this.searchUtils.status = this.errorCodes.NONE;
               }
               //this.searchPage.closeLoading();
               this.disableForms = false;
@@ -119,8 +121,16 @@
               // if( ){
               //   this.searchUtils.status = ErrorCodes.ERROR;
               // }
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.ERROR;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              //this.searchUtils.status = errorCodes.ERROR;
+              if(err.status == '404') {
+                this.searchUtils.status = this.errorCodes.NOT_FOUND;
+              } else if(err.status == '500') {
+                this.searchUtils.status = this.errorCodes.ERROR;
+              } else {
+                this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+              }
+
               //this.searchPage.closeLoading();
               this.disableForms = false;
 
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/dataProviders/journalsTable.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/dataProviders/journalsTable.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/dataProviders/journalsTable.component.ts	(revision 49174)
@@ -27,6 +27,8 @@
 
 })
 export class SearchJournalsTableComponent {
+  private errorCodes: ErrorCodes;
+
   public results =[];
   public filters =[];
   public baseUrl:string;
@@ -48,8 +50,8 @@
   @ViewChild (SearchPageTableViewComponent) searchPage : SearchPageTableViewComponent ;
 
   constructor (private route: ActivatedRoute, private _searchDataprovidersService: SearchDataprovidersService ) {
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
+    this.errorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
     this.baseUrl = OpenaireProperties.getLinkToSearchJournalsTable();
   }
 
@@ -74,8 +76,8 @@
     private _getResults(){
         //this.csvParams = this.resourcesQuery+"&type=datasources";
 
-      var errorCodes:ErrorCodes = new ErrorCodes();
-      this.searchUtils.status = errorCodes.LOADING;
+      //var errorCodes:ErrorCodes = new ErrorCodes();
+      this.searchUtils.status = this.errorCodes.LOADING;
       this.disableForms = true;
       this.results = [];
       this.searchUtils.totalResults = 0;
@@ -93,10 +95,10 @@
 
                         this.searchPage.checkSelectedFilters(this.filters);
 
-                        var errorCodes:ErrorCodes = new ErrorCodes();
-                        this.searchUtils.status = errorCodes.DONE;
+                        //var errorCodes:ErrorCodes = new ErrorCodes();
+                        this.searchUtils.status = this.errorCodes.DONE;
                         if(this.searchUtils.totalResults == 0 ){
-                          this.searchUtils.status = errorCodes.NONE;
+                          this.searchUtils.status = this.errorCodes.NONE;
                         }
                         this.disableForms = false;
                     },
@@ -106,8 +108,16 @@
                         // if( ){
                         //   this.searchUtils.status = ErrorCodes.ERROR;
                         // }
-                        var errorCodes:ErrorCodes = new ErrorCodes();
-                        this.searchUtils.status = errorCodes.ERROR;
+                        //var errorCodes:ErrorCodes = new ErrorCodes();
+                        //this.searchUtils.status = errorCodes.ERROR;
+                        if(err.status == '404') {
+                          this.searchUtils.status = this.errorCodes.NOT_FOUND;
+                        } else if(err.status == '500') {
+                          this.searchUtils.status = this.errorCodes.ERROR;
+                        } else {
+                          this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+                        }
+
                         this.disableForms = false;
 
                     }
@@ -115,8 +125,8 @@
               } else {
                 this.searchPage.checkSelectedFilters(this.filters);
 
-                var errorCodes:ErrorCodes = new ErrorCodes();
-                this.searchUtils.status = errorCodes.NONE;
+                //var errorCodes:ErrorCodes = new ErrorCodes();
+                this.searchUtils.status = this.errorCodes.NONE;
                 this.disableForms = false;
               }
           },
@@ -126,8 +136,15 @@
               // if( ){
               //   this.searchUtils.status = ErrorCodes.ERROR;
               // }
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.ERROR;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              //this.searchUtils.status = errorCodes.ERROR;
+              if(err.status == '404') {
+                this.searchUtils.status = this.errorCodes.NOT_FOUND;
+              } else if(err.status == '500') {
+                this.searchUtils.status = this.errorCodes.ERROR;
+              } else {
+                this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+              }
           }
       );
 
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/dataProviders/compatibleDataProviders.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/dataProviders/compatibleDataProviders.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/dataProviders/compatibleDataProviders.component.ts	(revision 49174)
@@ -31,6 +31,7 @@
 
 })
 export class SearchCompatibleDataprovidersComponent {
+  private errorCodes: ErrorCodes;
   public results =[];
   public filters =[];
   public baseUrl:string;
@@ -55,8 +56,8 @@
   @ViewChild (SearchPageComponent) searchPage : SearchPageComponent ;
 
   constructor (private route: ActivatedRoute, private _searchDataprovidersService: SearchDataprovidersService ) {
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
+    this.errorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
     this.baseUrl = OpenaireProperties.getLinkToSearchCompatibleDataProviders();
     for(var i = 0; i < this._prefixQueryFields.length; i++ ){
       for(var j =0; j < this._prefixQueryFields[i].values.length; j++){
@@ -91,8 +92,8 @@
     private _getResults(parameters:string,refine:boolean, page: number, size: number){
         this.csvParams = parameters+this.resourcesQuery+"&type=datasources";
 
-      var errorCodes:ErrorCodes = new ErrorCodes();
-      this.searchUtils.status = errorCodes.LOADING;
+      //var errorCodes:ErrorCodes = new ErrorCodes();
+      this.searchUtils.status = this.errorCodes.LOADING;
       //this.searchPage.openLoading();
       this.disableForms = true;
       this.results = [];
@@ -105,10 +106,10 @@
               this.results = data[1];
               this.searchPage.checkSelectedFilters(this.filters);
               this.searchPage.updateBaseUrlWithParameters(this.filters);
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.DONE;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              this.searchUtils.status = this.errorCodes.DONE;
               if(this.searchUtils.totalResults == 0 ){
-                this.searchUtils.status = errorCodes.NONE;
+                this.searchUtils.status = this.errorCodes.NONE;
               }
               //this.searchPage.closeLoading();
               this.disableForms = false;
@@ -120,8 +121,16 @@
               // if( ){
               //   this.searchUtils.status = ErrorCodes.ERROR;
               // }
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.ERROR;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              //this.searchUtils.status = errorCodes.ERROR;
+              if(err.status == '404') {
+                this.searchUtils.status = this.errorCodes.NOT_FOUND;
+              } else if(err.status == '500') {
+                this.searchUtils.status = this.errorCodes.ERROR;
+              } else {
+                this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+              }
+
               //this.searchPage.closeLoading();
               this.disableForms = false;
 
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/dataProviders/entityRegistries.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/dataProviders/entityRegistries.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/dataProviders/entityRegistries.component.ts	(revision 49174)
@@ -30,6 +30,8 @@
 
 })
 export class SearchEntityRegistriesComponent {
+  private errorCodes: ErrorCodes;
+
   public results =[];
   public filters =[];
   public baseUrl:string;
@@ -55,8 +57,8 @@
   public csvParams: string;
 
   constructor (private route: ActivatedRoute, private _searchDataprovidersService: SearchDataprovidersService ) {
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
+    this.errorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
     this.baseUrl = OpenaireProperties.getLinkToSearchEntityRegistries();
     for(var i = 0; i < this._prefixQueryFields.length; i++ ){
       for(var j =0; j < this._prefixQueryFields[i].values.length; j++){
@@ -91,8 +93,8 @@
     private _getResults(parameters:string,refine:boolean, page: number, size: number){
         this.csvParams = parameters+this.resourcesQuery+"&type=datasources";
 
-      var errorCodes:ErrorCodes = new ErrorCodes();
-      this.searchUtils.status = errorCodes.LOADING;
+      //var errorCodes:ErrorCodes = new ErrorCodes();
+      this.searchUtils.status = this.errorCodes.LOADING;
       //this.searchPage.openLoading();
       this.disableForms = true;
       this.results = [];
@@ -105,10 +107,10 @@
               this.results = data[1];
               this.searchPage.checkSelectedFilters(this.filters);
               this.searchPage.updateBaseUrlWithParameters(this.filters);
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.DONE;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              this.searchUtils.status = this.errorCodes.DONE;
               if(this.searchUtils.totalResults == 0 ){
-                this.searchUtils.status = errorCodes.NONE;
+                this.searchUtils.status = this.errorCodes.NONE;
               }
               //this.searchPage.closeLoading();
               this.disableForms = false;
@@ -120,8 +122,16 @@
               // if( ){
               //   this.searchUtils.status = ErrorCodes.ERROR;
               // }
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.ERROR;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              //this.searchUtils.status = errorCodes.ERROR;
+              if(err.status == '404') {
+                this.searchUtils.status = this.errorCodes.NOT_FOUND;
+              } else if(err.status == '500') {
+                this.searchUtils.status = this.errorCodes.ERROR;
+              } else {
+                this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+              }
+
               //this.searchPage.closeLoading();
               this.disableForms = false;
 
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/dataProviders/compatibleDataProvidersTable.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/dataProviders/compatibleDataProvidersTable.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/dataProviders/compatibleDataProvidersTable.component.ts	(revision 49174)
@@ -27,6 +27,8 @@
 
 })
 export class SearchCompatibleDataprovidersTableComponent {
+  private errorCodes: ErrorCodes;
+
   public results =[];
   public filters =[];
   public baseUrl:string;
@@ -48,8 +50,8 @@
   @ViewChild (SearchPageTableViewComponent) searchPage : SearchPageTableViewComponent ;
 
   constructor (private route: ActivatedRoute, private _searchDataprovidersService: SearchDataprovidersService ) {
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
+    this.errorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
     this.baseUrl = OpenaireProperties.getLinkToSearchCompatibleDataProvidersTable();
   }
 
@@ -74,8 +76,8 @@
     private _getResults(){
         //this.csvParams = this.resourcesQuery+"&type=datasources";
 
-      var errorCodes:ErrorCodes = new ErrorCodes();
-      this.searchUtils.status = errorCodes.LOADING;
+      //var errorCodes:ErrorCodes = new ErrorCodes();
+      this.searchUtils.status = this.errorCodes.LOADING;
       this.disableForms = true;
       this.results = [];
       this.searchUtils.totalResults = 0;
@@ -93,10 +95,10 @@
 
                         this.searchPage.checkSelectedFilters(this.filters);
 
-                        var errorCodes:ErrorCodes = new ErrorCodes();
-                        this.searchUtils.status = errorCodes.DONE;
+                        //var errorCodes:ErrorCodes = new ErrorCodes();
+                        this.searchUtils.status = this.errorCodes.DONE;
                         if(this.searchUtils.totalResults == 0 ){
-                          this.searchUtils.status = errorCodes.NONE;
+                          this.searchUtils.status = this.errorCodes.NONE;
                         }
                         this.disableForms = false;
                     },
@@ -106,8 +108,16 @@
                         // if( ){
                         //   this.searchUtils.status = ErrorCodes.ERROR;
                         // }
-                        var errorCodes:ErrorCodes = new ErrorCodes();
-                        this.searchUtils.status = errorCodes.ERROR;
+                        //var errorCodes:ErrorCodes = new ErrorCodes();
+                        //this.searchUtils.status = errorCodes.ERROR;
+                        if(err.status == '404') {
+                          this.searchUtils.status = this.errorCodes.NOT_FOUND;
+                        } else if(err.status == '500') {
+                          this.searchUtils.status = this.errorCodes.ERROR;
+                        } else {
+                          this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+                        }
+
                         this.disableForms = false;
 
                     }
@@ -115,8 +125,8 @@
               } else {
                 this.searchPage.checkSelectedFilters(this.filters);
 
-                var errorCodes:ErrorCodes = new ErrorCodes();
-                this.searchUtils.status = errorCodes.NONE;
+                //var errorCodes:ErrorCodes = new ErrorCodes();
+                this.searchUtils.status = this.errorCodes.NONE;
                 this.disableForms = false;
               }
           },
@@ -126,8 +136,15 @@
               // if( ){
               //   this.searchUtils.status = ErrorCodes.ERROR;
               // }
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.ERROR;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              //this.searchUtils.status = errorCodes.ERROR;
+              if(err.status == '404') {
+                this.searchUtils.status = this.errorCodes.NOT_FOUND;
+              } else if(err.status == '500') {
+                this.searchUtils.status = this.errorCodes.ERROR;
+              } else {
+                this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+              }
           }
       );
 
